<div class="table-wrapper">
  <div class="filter-wrapper">

    <fw-text-input placeholder="Search Name" leftIcon="search"></fw-text-input>
    <fw-button
      leftIcon="filter" rightIcon="chevron-down"
      variant="outline" [cdkMenuTriggerFor]="filterMenu">
      Filter
    </fw-button>
    <ng-template #filterMenu>
      <fw-menu-container width="115px" shadow="large" offset="1px">
        <fw-menu>
          <fw-menu-item title="All Status"></fw-menu-item>
          <fw-menu-item title="Active"></fw-menu-item>
          <fw-menu-item title="Deactivated"></fw-menu-item>
        </fw-menu>
      </fw-menu-container>
    </ng-template>

  </div>
  <table mat-table [dataSource]="dataSource" matSort #matSort="matSort" class="site-name">

    <ng-container matColumnDef="name">
      <mat-header-cell *matHeaderCellDef mat-sort-header>
        <h4>Name</h4>
      </mat-header-cell>
      <mat-cell *matCellDef="let row" class="no-wrap">
        <fw-avatar
          size="medium"
          variant="circular"
          content="initial"
          [initial]="getInitials(row.name)">
        </fw-avatar>
        <p>{{ row.name }}</p>
      </mat-cell>
    </ng-container>

    <ng-container matColumnDef="email">
      <mat-header-cell *matHeaderCellDef mat-sort-header>
        <h4>Email</h4>
      </mat-header-cell>
      <mat-cell *matCellDef="let row" class="no-wrap flex-cell">
        <p class="p2 link">{{ row.email }}</p>
      </mat-cell>
    </ng-container>

    <ng-container matColumnDef="role">
      <mat-header-cell *matHeaderCellDef mat-sort-header>
        <h4>Role</h4>
      </mat-header-cell>
      <mat-cell *matCellDef="let row" class="no-wrap">
        <p>{{ row.role | titlecase }}</p>
      </mat-cell>
    </ng-container>

    <ng-container matColumnDef="status">
      <mat-header-cell *matHeaderCellDef mat-sort-header>
        <h4>Status</h4>
      </mat-header-cell>
      <mat-cell *matCellDef="let row" class="no-wrap">
        <fw-chip color="green" *ngIf="row.status==='active'" [title]="row.status | titlecase"></fw-chip>
        <fw-chip color="slate" *ngIf="row.status==='deactivated'" [title]="row.status | titlecase"></fw-chip>
      </mat-cell>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row
      *matRowDef="let row; columns: displayedColumns"
      [ngClass]='row.id === selectedRow.id ? "selected" : ""'
      (click)="rowSelected(row)">
    </tr>

  </table>
</div>
